Package owl.translations.ltl2dra

## Enum LTL2DRAFunction.Configuration

- java.lang.Object
- - java.lang.Enum<LTL2DRAFunction.Configuration>
  - - owl.translations.ltl2dra.LTL2DRAFunction.Configuration

- All Implemented Interfaces:
    `Serializable`, `Comparable<LTL2DRAFunction.Configuration>`
  Enclosing class:
    LTL2DRAFunction

      public static enum LTL2DRAFunction.Configuration
      extends Enum<LTL2DRAFunction.Configuration>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEGENERALIZE` |
    `EXISTS_SAFETY_CORE` |
    `OPTIMISE_INITIAL_STATE` |
    `OPTIMISED_STATE_STRUCTURE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LTL2DRAFunction.Configuration` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LTL2DRAFunction.Configuration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPTIMISE_INITIAL_STATE

          public static final LTL2DRAFunction.Configuration OPTIMISE_INITIAL_STATE

    - #### OPTIMISED_STATE_STRUCTURE

          public static final LTL2DRAFunction.Configuration OPTIMISED_STATE_STRUCTURE

    - #### EXISTS_SAFETY_CORE

          public static final LTL2DRAFunction.Configuration EXISTS_SAFETY_CORE

    - #### DEGENERALIZE

          public static final LTL2DRAFunction.Configuration DEGENERALIZE

  - ### Method Detail

    - #### values

          public static LTL2DRAFunction.Configuration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LTL2DRAFunction.Configuration c : LTL2DRAFunction.Configuration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LTL2DRAFunction.Configuration valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null